module.exports = api => {
	api.addTask({
		// Required
		name: 'Firebase deploy',
		command: 'firebase deploy',

		// Optional
		// The rest is like `describeTask` without the `match` option
		description: 'Plugin to create task for firebase deploy',
		icon: '/_plugin/vue-cli-plugin-firebase-deploy/logo.png',

		prompts: [
			{
				name: 'deployAll',
				type: 'confirm',
				default: true,
				description: 'Deploy all'
			},
			{
				name: 'mode',
				message: 'Select what you want deploy:',
				when: answers => !answers.deployAll,
				type: 'checkbox',
				choices: [
					{
						name: 'Hosting',
						value: 'hosting',
						checked: true
					},
					{
						name: 'Database',
						value: 'database',
						checked: true
					},
					{
						name: 'Storage',
						value: 'storage',
						checked: true
					},
					{
						name: 'Firestore',
						value: 'firestore',
						checked: true
					},
					{
						name: 'Functions',
						value: 'functions',
						checked: true
					},
				]
			},
		],


		onBeforeRun: async ({ answers, args }) => {
			// Args
			if (answers.mode) args.push(`--only ${answers.mode.join(',')}`);
		},

	})
}